<?php

$description = 'regular';


function theme_ejournal_archive(&$journal, $issues = NULL) {
  if(!$issues) {
    $issues = _ejournal_journal_get_issues($journal);
  }
  $output = "<h3>" . t('Archive') . "</h3>\n";
  while($issue = db_fetch_object($issues)) {
    if($issue->volume != $old_volume) {
      $output .= theme('ejournal_volume_reference', $issue);
      $old_volume = $issue->volume;
    }
    $output .= theme('ejournal_issue_reference', $issue, FALSE);
  }
  
  if($sections = ejournal_sections_get($journal->jid, 'flexinode-1')){
    $output .= "<h3>Archiv podle rubrik</h3>\n";
    
    $form = form_select(NULL, 'tid', $edit['tid'], $sections);
    $form .= form_submit(t("Submit"));
    $action = url('ejournal/'. $journal->jid . '/term');
    $output .= form($form, 'post', $action);
  }
  drupal_set_title($journal->title . t('archive'));
  return $output;
}


?>